### Hierarchy

- PageContent

### Implements

- IPageContentProvider

## Index

### Constructors

- constructor

### Properties

- _current
- _helpers
- _newCols
- _newRows
- _original
- _utils
- canDoDelta
- cellStyles
- dirty

### Accessors

- current
- original

### Methods

- addColumn
- addRow
- defaultContent
- flattenStyles
- getCell
- getCellByRef
- getCells
- getDelta
- getFull
- getHtml
- moveColumns
- removeColumn
- removeRow
- reset
- setColSize
- setRowSize
- update
- updateCell
- updateCellByRef
- updateCells

### Object literals

- borders

## Constructors

### constructor

- new PageContent(rawContent: IPageContent): PageContent

- - Defined in Page/Content.ts:183

  #### Parameters

  - ##### rawContent: IPageContent

  #### Returns PageContent

## Properties

### Private _current

_current: IPageContent = [[]]

- Defined in Page/Content.ts:109

### Private _helpers

_helpers: IHelpers

- Defined in Page/Content.ts:115

### Private _newCols

_newCols: number[] = []

- Defined in Page/Content.ts:112

### Private _newRows

_newRows: number[] = []

- Defined in Page/Content.ts:111

### Private _original

_original: IPageContent = [[]]

- Defined in Page/Content.ts:108

### Private _utils

_utils: IUtils

- Defined in Page/Content.ts:114

### canDoDelta

canDoDelta: boolean = true

Implementation of IPageContentProvider.canDoDelta

- Defined in Page/Content.ts:105

### Private cellStyles

cellStyles: string[] = ['background-color','color','font-family','font-size','font-style','font-weight','height','text-align','text-wrap','width','vertical-align',]

- Defined in Page/Content.ts:163

### dirty

dirty: boolean = false

Implementation of IPageContentProvider.dirty

- Defined in Page/Content.ts:106

## Accessors

### current

- get current(): IPageContent

- - Defined in Page/Content.ts:177

  #### Returns IPageContent

### original

- get original(): IPageContent

- - Defined in Page/Content.ts:181

  #### Returns IPageContent

## Methods

### addColumn

- addColumn(index: number, direction?: undefined | string): void

- - Defined in Page/Content.ts:356

  #### Parameters

  - ##### index: number

  - ##### Optional direction: undefined | string

  #### Returns void

### addRow

- addRow(index: number, direction?: undefined | string): void

- - Defined in Page/Content.ts:292

  #### Parameters

  - ##### index: number

  - ##### Optional direction: undefined | string

  #### Returns void

### Private defaultContent

- defaultContent(): any

- - Defined in Page/Content.ts:621

  #### Returns any

### Private flattenStyles

- flattenStyles(styles: IPageCellStyle): string

- - Defined in Page/Content.ts:595

  #### Parameters

  - ##### styles: IPageCellStyle

  #### Returns string

### getCell

- getCell(rowIndex: number, columnIndex: number): IPageContentCell

- - Defined in Page/Content.ts:233

  #### Parameters

  - ##### rowIndex: number

  - ##### columnIndex: number

  #### Returns IPageContentCell

### getCellByRef

- getCellByRef(ref: string): IPageContentCell

- - Defined in Page/Content.ts:228

  #### Parameters

  - ##### ref: string

  #### Returns IPageContentCell

### getCells

- getCells(fromCell: any, toCell: any): IPageContent

- - Defined in Page/Content.ts:245

  #### Parameters

  - ##### fromCell: any

  - ##### toCell: any

  #### Returns IPageContent

### getDelta

- getDelta(): IPageDelta

- - Defined in Page/Content.ts:422

  #### Returns IPageDelta

### getFull

- getFull(): IPageContent

- - Defined in Page/Content.ts:534

  #### Returns IPageContent

### getHtml

- getHtml(from?: IPageContentCellIndex, to?: IPageContentCellIndex): any

- - Defined in Page/Content.ts:549

  #### Parameters

  - ##### Optional from: IPageContentCellIndex

  - ##### Optional to: IPageContentCellIndex

  #### Returns any

### moveColumns

- moveColumns(fromIndex: number, toIndex: number, newIndex: number): void

- - Defined in Page/Content.ts:315

  #### Parameters

  - ##### fromIndex: number

  - ##### toIndex: number

  - ##### newIndex: number

  #### Returns void

### removeColumn

- removeColumn(index: number): void

- - Defined in Page/Content.ts:388

  #### Parameters

  - ##### index: number

  #### Returns void

### removeRow

- removeRow(index: number): void

- - Defined in Page/Content.ts:380

  #### Parameters

  - ##### index: number

  #### Returns void

### reset

- reset(): void

- - Defined in Page/Content.ts:212

  #### Returns void

### setColSize

- setColSize(col: number, value: number): void

- Implementation of IPageContentProvider.setColSize

  - Defined in Page/Content.ts:409

  #### Parameters

  - ##### col: number

  - ##### value: number

  #### Returns void

### setRowSize

- setRowSize(row: number, value: number): void

- Implementation of IPageContentProvider.setRowSize

  - Defined in Page/Content.ts:398

  #### Parameters

  - ##### row: number

  - ##### value: number

  #### Returns void

### update

- update(rawContent: IPageContent, clean?: boolean, replace?: boolean): void

- - Defined in Page/Content.ts:196

  #### Parameters

  - ##### rawContent: IPageContent

  - ##### Default value clean: boolean = false

  - ##### Default value replace: boolean = false

  #### Returns void

### updateCell

- updateCell(rowIndex: number, columnIndex: number, data: IPageContentCell): void

- - Defined in Page/Content.ts:261

  #### Parameters

  - ##### rowIndex: number

  - ##### columnIndex: number

  - ##### data: IPageContentCell

  #### Returns void

### updateCellByRef

- updateCellByRef(ref: string, data: IPageContentCell): void

- - Defined in Page/Content.ts:256

  #### Parameters

  - ##### ref: string

  - ##### data: IPageContentCell

  #### Returns void

### updateCells

- updateCells(from: IPageContentCellIndex, to: IPageContentCellIndex, data: IPageContentCell): void

- Implementation of IPageContentProvider.updateCells

  - Defined in Page/Content.ts:284

  #### Parameters

  - ##### from: IPageContentCellIndex

  - ##### to: IPageContentCellIndex

  - ##### data: IPageContentCell

  #### Returns void

## Object literals

### Private borders

borders: object

- Defined in Page/Content.ts:143

### names

names: object

- Defined in Page/Content.ts:155

### b

b: string = "bottom"

- Defined in Page/Content.ts:158

### l

l: string = "left"

- Defined in Page/Content.ts:159

### r

r: string = "right"

- Defined in Page/Content.ts:157

### t

t: string = "top"

- Defined in Page/Content.ts:156

### styles

styles: object

- Defined in Page/Content.ts:150

### double

double: string = "double"

- Defined in Page/Content.ts:153

### none

none: string = "solid"

- Defined in Page/Content.ts:151

### solid

solid: string = "solid"

- Defined in Page/Content.ts:152

### widths

widths: object

- Defined in Page/Content.ts:144

### medium

medium: number = 2

- Defined in Page/Content.ts:147

### none

none: number = 0

- Defined in Page/Content.ts:145

### thick

thick: number = 3

- Defined in Page/Content.ts:148

### thin

thin: number = 1

- Defined in Page/Content.ts:146

Generated using TypeDoc